ViennaCL - The Vienna Computing Library: tests/src/scheduler_matrix_vector.cpp File Reference

ViennaCL - The Vienna Computing Library 1.7.1 Free open-source GPU-accelerated linear algebra and solver library. |

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Functions
scheduler_matrix_vector.cpp File Reference
`#include <iostream>`
`#include <vector>`
`#include "viennacl/scalar.hpp"`
`#include "viennacl/matrix.hpp"`
`#include "viennacl/vector.hpp"`
`#include "viennacl/linalg/prod.hpp"`
`#include "viennacl/linalg/norm_2.hpp"`
`#include "viennacl/linalg/direct_solve.hpp"`
`#include "viennacl/linalg/lu.hpp"`
`#include "viennacl/tools/random.hpp"`
`#include "viennacl/scheduler/execute.hpp"`
`#include "viennacl/scheduler/io.hpp"`

Go to the source code of this file.

## Functions
template<typename ScalarType >
ScalarType | diff (ScalarType &s1, viennacl::scalar< ScalarType > &s2)
template<typename ScalarType , typename VCLVectorType >
ScalarType | diff (std::vector< ScalarType > const &v1, VCLVectorType const &v2)
template<typename ScalarType , typename VCLMatrixType >
ScalarType | diff (std::vector< std::vector< ScalarType > > const &mat1, VCLMatrixType const &mat2)
template<typename NumericT , typename Epsilon , typename STLMatrixType , typename STLVectorType , typename VCLMatrixType , typename VCLVectorType1 , typename VCLVectorType2 >
int | test_prod_rank1 (Epsilon const &epsilon, STLMatrixType &std_m1, STLVectorType &std_v1, STLVectorType &std_v2, VCLMatrixType &vcl_m1, VCLVectorType1 &vcl_v1, VCLVectorType2 &vcl_v2)
template<typename NumericT , typename F , typename Epsilon >
int | test (Epsilon const &epsilon)
int | main ()

## Detailed Description

Tests the scheduler for matrix-vector-operations.

Test:
  Tests the scheduler for matrix-vector-operations.

Definition in file scheduler_matrix_vector.cpp.

## Function Documentation

template<typename ScalarType >

ScalarType diff | ( | ScalarType & | s1,
|  | viennacl::scalar< ScalarType > & | s2
| ) |  |

Definition at line 50 of file scheduler_matrix_vector.cpp.

template<typename ScalarType , typename VCLVectorType >

ScalarType diff | ( | std::vector< ScalarType > const & | v1,
|  | VCLVectorType const & | v2
| ) |  |

Definition at line 59 of file scheduler_matrix_vector.cpp.

template<typename ScalarType , typename VCLMatrixType >

ScalarType diff | ( | std::vector< std::vector< ScalarType > > const & | mat1,
|  | VCLMatrixType const & | mat2
| ) |  |

Definition at line 80 of file scheduler_matrix_vector.cpp.

int main | ( |  | ) |

Definition at line 909 of file scheduler_matrix_vector.cpp.

template<typename NumericT , typename F , typename Epsilon >

int test | ( | Epsilon const & | epsilon | ) |

Definition at line 431 of file scheduler_matrix_vector.cpp.

template<typename NumericT , typename Epsilon , typename STLMatrixType , typename STLVectorType , typename VCLMatrixType , typename VCLVectorType1 , typename VCLVectorType2 >

int test_prod_rank1 | ( | Epsilon const & | epsilon,
|  | STLMatrixType & | std_m1,
|  | STLVectorType & | std_v1,
|  | STLVectorType & | std_v2,
|  | VCLMatrixType & | vcl_m1,
|  | VCLVectorType1 & | vcl_v1,
|  | VCLVectorType2 & | vcl_v2
| ) |  |

Definition at line 107 of file scheduler_matrix_vector.cpp.